Skip to content

GetListingOwner

GET/api/v1/listings/{listing}/owners/{owner}

Fetch one owner of a listing.

Example request

curl \
-H "Authorization: Bearer ${OBLIQUE_API_KEY}" \
"https://us.oblique.security/api/v1/listings/{listing}/owners/{owner}"

Set OBLIQUE_API_KEY to your API key.

Path parameters

  • namestringrequired

    Format: listings/{listing}/owners/{owner}

Response

200ListingOwner
  • namestring

    Assigned by Oblique. Name of the owner of the format listings/{listing}/owners/{owner}.

  • createTimestring (date-time)read-only

    Create and update timestamps.

  • updateTimestring (date-time)read-only
  • ownerstringrequired

    Set once, when the resource is created. The name of the owner. This can be a user, team, or group.

    Format: users/{user}, teams/{team}, groups/{group}

  • managementManagement

    How this ownership is managed. Inherited from the parent listing: owners of Terraform-managed listings are themselves Terraform managed and can only be created, updated, or deleted through the Terraform provider; manage the parent listing to change this. Omitted from responses when the parent listing is manually managed (the default).

    • managerstring
      Allowed values: TERRAFORM

      How the resource is managed. Set automatically by the server based on the caller: Terraform clients produce TERRAFORM; for all other clients the management field is left unset on the response.

    • repoUristring

      URI of the VCS repository that holds the Terraform configuration for this resource. Populated by the Oblique Terraform provider.

    • repoDirstring

      Optionally, the subdirectory within repo_uri that holds the Terraform configuration for this resource. Populated by the Oblique Terraform provider.

Errors

StatusMeaning
400Malformed request
401Missing or invalid API key
403Not allowed for this API key
404Not found
429Too many requests
500Internal server error